Many categories are missing from gisaf

20/03/2023 16:33 - Selvarani C

Status: Resolved Start date: 20/03/2023

Priority: Urgent Due date:  

Assignee: Selvarani C % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Dear Philippe,

After Lunch we had noticed that some of the categories are missing from Gisaf Map.

(EX- Building platform, topo-elevation..., )

Please check it.

History

#1 - 21/03/2023 10:11 - Philippe May

OK. I have upgraded the operating systems of all the servers (including postgres server version from 12 to 15), this might be related. Taking this as

high priority, but i'm very busy today.

#2 - 24/03/2023 01:09 - Philippe May

- Assignee changed from Philippe May to Selvarani C

- Status changed from New to Resolved

I think it is fixed. Short technical explanation below:

After spending quite a lot of time, i'm quite sure now that the issue comes from the "statistics collector" of new version of Postgres, which was

updated from version 12 to 15.

Gisaf uses these statistics data to count the number of features for each layer on the map, and to hide the layers which are empty.

I ran the "ANALYSE" command (https://www.postgresql.org/docs/current/sql-analyze.html). After this the platform and elevation layers appear, but the

count is not accurate. This can be done accurately, but it is a slow operation (several seconds - hardly acceptable). Hopefully a future update of

postgres will solve the issue with the stats collector for good.
